#pragma once

#include "OpenGLControl.h"

class COpenGLWinApp
{
public:
	SDL_Window * window; // Handle to application window
	COpenGLControl oglControl; // OpenGL Control

	bool CreateAppWindow(std::string sTitle);

	void AppBody();
	void Shutdown();

	void MsgHandlerMain(SDL_Event * event);

private:
	bool bAppActive; // To check if application is active (not minimized)
};

extern COpenGLWinApp appMain;

void InitScene(void *), RenderScene(void *), ReleaseScene(void *);
