#version 330

in vec2 texCoord;
out vec4 outputColor;

uniform sampler2D gSampler;
uniform vec4 vColor;

void main()
{
	float vTexColor = texture2D(gSampler, texCoord).r;
	outputColor = vColor * vec4(vTexColor);
}
